%global debug_package %{nil}
%global python3_pkgversion 3.11
%global pypi_name twine
%global pypi_version 6.1.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Collection of utilities for publishing packages on PyPI

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        Apache-2.0
URL:            https://twine.readthedocs.io/
Source:         %{pypi_source %pypi_name}


BuildRequires:  python%{python3_pkgversion}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-setuptools >= 61.2
BuildRequires:  python%{python3_pkgversion}-setuptools_scm >= 6
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  pyproject-rpm-macros



# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
Twine is a utility for publishing Python packages on PyPI.}

%description %_description

%package -n     python%{python3_pkgversion}-twine
Summary:        %{summary}
Requires:       %{?scl_prefix}python%{python3_pkgversion}-readme-renderer >= 35.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-requests >= 2.20
Requires:       %{?scl_prefix}python%{python3_pkgversion}-requests-toolbelt >= 0.8.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-urllib3 >= 1.26.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-keyring >= 15.1
Requires:       %{?scl_prefix}python%{python3_pkgversion}-rfc3986 >= 1.4.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-rich >= 12.0.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-packaging >= 24.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-id
Conflicts:      %{?scl_prefix}python%{python3_pkgversion}-requests-toolbelt = 0.9.0

%description -n python%{python3_pkgversion}-twine %_description


%prep
%autosetup -p1 -n twine-%{version}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files '*' +auto


%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}.dist-info



%changelog
* Tue Feb 18 2025 Carlos Heiras <carlos.heiras@oracle.com> - 6.1.0-1
- OLAM-695 Initial release
